Bug 27093 - New xchat connects to all servers when using old config
New xchat connects to all servers when using old config
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xchat (Show other bugs)
7.1
All Linux
high Severity high
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-11 16:49 EST by Elliot Lee
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-12 18:03:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Lee 2001-02-11 16:49:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-24smp alpha; Nav)


xchat 1.6.3 tries to connect to all the servers on the server list when
using a 1.4.2 config file.

Reproducible: Always
Steps to Reproduce:
1. rm -rf ~/.xchat (backup first if desired)
2. Install xchat-1.4.2-6 from 7.0
3. Run xchat
4. Use 'Settings -> Save settings now' menu item.
5. Install xchat-1.6.3-1
6. Run xchat

Actual Results:  Connections to over 100 servers.

Expected Results:  No server connections.

The serverlist.conf file saved by xchat 1.4.2 has only one 'autoconnect =
1' server, the rest being 'autoconnect = 0'. A quick fix would seem to be
to make sure xchat 1.6.3 is properly interpreting the boolean value at the
end of the line.

If one wanted to make the upgrade work 100% properly (i.e. no autoconnect
to irc.xchat.org either) then the autoconnect flag should be ignored unless
it is set by a 1.6.3 user (perhaps by only autoconnecting to 'autoconnect =
MAGICVALUE' servers?).
Comment 1 Glen Foster 2001-02-12 18:02:49 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Havoc Pennington 2001-02-13 20:01:57 EST
Was a failure to initialize the variable indicating whether to autoconnect,
which led to it containing a random value that was occasionally true instead of
false. Fixed.

Note You need to log in before you can comment on or make changes to this bug.